## NMActiveConnection

NMActiveConnection

## Functions

GObject * | nm_active_connection_new ()
const char * | nm_active_connection_get_connection ()
const char * | nm_active_connection_get_id ()
const char * | nm_active_connection_get_uuid ()
const char * | nm_active_connection_get_connection_type ()
const char * | nm_active_connection_get_specific_object ()
const GPtrArray * | nm_active_connection_get_devices ()
NMActiveConnectionState | nm_active_connection_get_state ()
const char * | nm_active_connection_get_master ()
gboolean | nm_active_connection_get_default ()
NMIP4Config * | nm_active_connection_get_ip4_config ()
NMDHCP4Config * | nm_active_connection_get_dhcp4_config ()
gboolean | nm_active_connection_get_default6 ()
NMIP6Config * | nm_active_connection_get_ip6_config ()
NMDHCP6Config * | nm_active_connection_get_dhcp6_config ()
gboolean | nm_active_connection_get_vpn ()

## Properties

gchar * | connection | Read
gboolean | default | Read
gboolean | default6 | Read
NMObjectArray * | devices | Read
NMDHCP4Config * | dhcp4-config | Read
NMDHCP6Config * | dhcp6-config | Read
gchar * | id | Read
NMIP4Config * | ip4-config | Read
NMIP6Config * | ip6-config | Read
gchar * | master | Read
gchar * | specific-object | Read
guint | state | Read
gchar * | type | Read
gchar * | uuid | Read
gboolean | vpn | Read

## Types and Values

#define | NM_ACTIVE_CONNECTION_CONNECTION
#define | NM_ACTIVE_CONNECTION_ID
#define | NM_ACTIVE_CONNECTION_UUID
#define | NM_ACTIVE_CONNECTION_TYPE
#define | NM_ACTIVE_CONNECTION_SPECIFIC_OBJECT
#define | NM_ACTIVE_CONNECTION_DEVICES
#define | NM_ACTIVE_CONNECTION_STATE
#define | NM_ACTIVE_CONNECTION_DEFAULT
#define | NM_ACTIVE_CONNECTION_IP4_CONFIG
#define | NM_ACTIVE_CONNECTION_DHCP4_CONFIG
#define | NM_ACTIVE_CONNECTION_DEFAULT6
#define | NM_ACTIVE_CONNECTION_IP6_CONFIG
#define | NM_ACTIVE_CONNECTION_DHCP6_CONFIG
#define | NM_ACTIVE_CONNECTION_VPN
#define | NM_ACTIVE_CONNECTION_MASTER

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMActiveConnection
                ╰── NMVPNConnection

## Description

## Functions

### nm_active_connection_new ()

    GObject *
    nm_active_connection_new (DBusGConnection *connection,
                              const char *path);

Creates a new NMActiveConnection.

#### Parameters

connection | the DBusGConnection |
path | the DBus object path of the device |

#### Returns

a new active connection.

[transfer full]

### nm_active_connection_get_connection ()

    const char *
    nm_active_connection_get_connection (NMActiveConnection *connection);

Gets the NMConnection's DBus object path. This is often used with `nm_remote_settings_get_connection_by_path()` to retrieve the NMRemoteConnection object that describes the connection.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the object path of the NMConnection which this NMActiveConnection is an active instance of. This is the internal string used by the connection, and must not be modified.

### nm_active_connection_get_id ()

    const char *
    nm_active_connection_get_id (NMActiveConnection *connection);

Gets the NMConnection's ID.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the ID of the NMConnection that backs the NMActiveConnection. This is the internal string used by the connection, and must not be modified.

Since: 0.9.10

### nm_active_connection_get_uuid ()

    const char *
    nm_active_connection_get_uuid (NMActiveConnection *connection);

Gets the NMConnection's UUID.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the UUID of the NMConnection that backs the NMActiveConnection. This is the internal string used by the connection, and must not be modified.

### nm_active_connection_get_connection_type ()

    const char *
    nm_active_connection_get_connection_type
                                   (NMActiveConnection *connection);

Gets the NMConnection's type.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the type of the NMConnection that backs the NMActiveConnection. This is the internal string used by the connection, and must not be modified.

Since: 0.9.10

### nm_active_connection_get_specific_object ()

    const char *
    nm_active_connection_get_specific_object
                                   (NMActiveConnection *connection);

Gets the "specific object" used at the activation.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the specific object's DBus path. This is the internal string used by the connection, and must not be modified.

### nm_active_connection_get_devices ()

    const GPtrArray *
    nm_active_connection_get_devices (NMActiveConnection *connection);

Gets the NMDevices used for the active connections.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the GPtrArray containing NMDevices. This is the internal copy used by the connection, and must not be modified.

[element-type NMDevice]

### nm_active_connection_get_state ()

    NMActiveConnectionState
    nm_active_connection_get_state (NMActiveConnection *connection);

Gets the active connection's state.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the state

### nm_active_connection_get_master ()

    const char *
    nm_active_connection_get_master (NMActiveConnection *connection);

Gets the path to the master NMDevice of the connection.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the path of the master NMDevice of the NMActiveConnection. This is the internal string used by the connection, and must not be modified.

### nm_active_connection_get_default ()

    gboolean
    nm_active_connection_get_default (NMActiveConnection *connection);

Whether the active connection is the default IPv4 one (that is, is used for the default IPv4 route and DNS information).

#### Parameters

connection | a NMActiveConnection |

#### Returns

`TRUE` if the active connection is the default IPv4 connection

### nm_active_connection_get_ip4_config ()

    NMIP4Config *
    nm_active_connection_get_ip4_config (NMActiveConnection *connection);

Gets the current NMIP4Config associated with the NMActiveConnection.

#### Parameters

connection | an NMActiveConnection |

#### Returns

the NMIP4Config, or `NULL` if the connection is not in the `NM_ACTIVE_CONNECTION_STATE_ACTIVATED` state.

[transfer none]

Since: 0.9.10

### nm_active_connection_get_dhcp4_config ()

    NMDHCP4Config *
    nm_active_connection_get_dhcp4_config (NMActiveConnection *connection);

Gets the current NMDHCP4Config (if any) associated with the NMActiveConnection.

#### Parameters

connection | an NMActiveConnection |

#### Returns

the NMDHCP4Config, or `NULL` if the connection does not use DHCP, or is not in the `NM_ACTIVE_CONNECTION_STATE_ACTIVATED` state.

[transfer none]

Since: 0.9.10

### nm_active_connection_get_default6 ()

    gboolean
    nm_active_connection_get_default6 (NMActiveConnection *connection);

Whether the active connection is the default IPv6 one (that is, is used for the default IPv6 route and DNS information).

#### Parameters

connection | a NMActiveConnection |

#### Returns

`TRUE` if the active connection is the default IPv6 connection

### nm_active_connection_get_ip6_config ()

    NMIP6Config *
    nm_active_connection_get_ip6_config (NMActiveConnection *connection);

Gets the current NMIP6Config associated with the NMActiveConnection.

#### Parameters

connection | an NMActiveConnection |

#### Returns

the NMIP6Config, or `NULL` if the connection is not in the `NM_ACTIVE_CONNECTION_STATE_ACTIVATED` state.

[transfer none]

Since: 0.9.10

### nm_active_connection_get_dhcp6_config ()

    NMDHCP6Config *
    nm_active_connection_get_dhcp6_config (NMActiveConnection *connection);

Gets the current NMDHCP6Config (if any) associated with the NMActiveConnection.

#### Parameters

connection | an NMActiveConnection |

#### Returns

the NMDHCP6Config, or `NULL` if the connection does not use DHCPv6, or is not in the `NM_ACTIVE_CONNECTION_STATE_ACTIVATED` state.

[transfer none]

Since: 0.9.10

### nm_active_connection_get_vpn ()

    gboolean
    nm_active_connection_get_vpn (NMActiveConnection *connection);

Whether the active connection is a VPN connection.

#### Parameters

connection | a NMActiveConnection |

#### Returns

`TRUE` if the active connection is a VPN connection

Since: 0.9.10

## Types and Values

### NM_ACTIVE_CONNECTION_CONNECTION

    #define NM_ACTIVE_CONNECTION_CONNECTION          "connection"

### NM_ACTIVE_CONNECTION_ID

    #define NM_ACTIVE_CONNECTION_ID                  "id"

### NM_ACTIVE_CONNECTION_UUID

    #define NM_ACTIVE_CONNECTION_UUID                "uuid"

### NM_ACTIVE_CONNECTION_TYPE

    #define NM_ACTIVE_CONNECTION_TYPE                "type"

### NM_ACTIVE_CONNECTION_SPECIFIC_OBJECT

    #define NM_ACTIVE_CONNECTION_SPECIFIC_OBJECT     "specific-object"

### NM_ACTIVE_CONNECTION_DEVICES

    #define NM_ACTIVE_CONNECTION_DEVICES             "devices"

### NM_ACTIVE_CONNECTION_STATE

    #define NM_ACTIVE_CONNECTION_STATE               "state"

### NM_ACTIVE_CONNECTION_DEFAULT

    #define NM_ACTIVE_CONNECTION_DEFAULT             "default"

### NM_ACTIVE_CONNECTION_IP4_CONFIG

    #define NM_ACTIVE_CONNECTION_IP4_CONFIG          "ip4-config"

### NM_ACTIVE_CONNECTION_DHCP4_CONFIG

    #define NM_ACTIVE_CONNECTION_DHCP4_CONFIG        "dhcp4-config"

### NM_ACTIVE_CONNECTION_DEFAULT6

    #define NM_ACTIVE_CONNECTION_DEFAULT6            "default6"

### NM_ACTIVE_CONNECTION_IP6_CONFIG

    #define NM_ACTIVE_CONNECTION_IP6_CONFIG          "ip6-config"

### NM_ACTIVE_CONNECTION_DHCP6_CONFIG

    #define NM_ACTIVE_CONNECTION_DHCP6_CONFIG        "dhcp6-config"

### NM_ACTIVE_CONNECTION_VPN

    #define NM_ACTIVE_CONNECTION_VPN                 "vpn"

### NM_ACTIVE_CONNECTION_MASTER

    #define NM_ACTIVE_CONNECTION_MASTER              "master"

## Property Details

### The `“connection”` property

      “connection”               gchar *

The connection's path of the active connection.

Owner: NMActiveConnection

Flags: Read

Default value: NULL

### The `“default”` property

      “default”                  gboolean

Whether the active connection is the default IPv4 one.

Owner: NMActiveConnection

Flags: Read

Default value: FALSE

### The `“default6”` property

      “default6”                 gboolean

Whether the active connection is the default IPv6 one.

Owner: NMActiveConnection

Flags: Read

Default value: FALSE

### The `“devices”` property

      “devices”                  NMObjectArray *

Owner: NMActiveConnection

Flags: Read

### The `“dhcp4-config”` property

      “dhcp4-config”             NMDHCP4Config *

The NMDHCP4Config of the connection.

Owner: NMActiveConnection

Flags: Read

Since: 0.9.10

### The `“dhcp6-config”` property

      “dhcp6-config”             NMDHCP6Config *

The NMDHCP6Config of the connection.

Owner: NMActiveConnection

Flags: Read

Since: 0.9.10

### The `“id”` property

      “id”                       gchar *

The active connection's ID

Owner: NMActiveConnection

Flags: Read

Default value: NULL

Since: 0.9.10

### The `“ip4-config”` property

      “ip4-config”               NMIP4Config *

The NMIP4Config of the connection.

Owner: NMActiveConnection

Flags: Read

Since: 0.9.10

### The `“ip6-config”` property

      “ip6-config”               NMIP6Config *

The NMIP6Config of the connection.

Owner: NMActiveConnection

Flags: Read

Since: 0.9.10

### The `“master”` property

      “master”                   gchar *

The path of the master device if one exists.

Owner: NMActiveConnection

Flags: Read

Default value: NULL

### The `“specific-object”` property

      “specific-object”          gchar *

The specific object's path of the active connection.

Owner: NMActiveConnection

Flags: Read

Default value: NULL

### The `“state”` property

      “state”                    guint

The state of the active connection.

Owner: NMActiveConnection

Flags: Read

Allowed values: <= 3

Default value: 0

### The `“type”` property

      “type”                     gchar *

The active connection's type

Owner: NMActiveConnection

Flags: Read

Default value: NULL

Since: 0.9.10

### The `“uuid”` property

      “uuid”                     gchar *

The active connection's UUID

Owner: NMActiveConnection

Flags: Read

Default value: NULL

### The `“vpn”` property

      “vpn”                      gboolean

Whether the active connection is a VPN connection.

Owner: NMActiveConnection

Flags: Read

Default value: FALSE

Since: 0.9.10